Bug 198869 - kernel-2.6.17-1.2145_FC5 crashes
kernel-2.6.17-1.2145_FC5 crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 06:33 EDT by Jani Frilander
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.19-1.2895.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 14:07:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
piece of /var/log/messages when crashed, dmesg of other time and output of lspci (43.14 KB, text/plain)
2006-07-14 06:33 EDT, Jani Frilander
no flags Details
/var/log/messages (4.72 KB, text/plain)
2006-07-17 14:59 EDT, Jani Frilander
no flags Details
/var/log/messages (31.46 KB, text/plain)
2006-10-21 14:53 EDT, Jani Frilander
no flags Details
dmesg (24.65 KB, text/plain)
2006-11-19 16:24 EST, Jani Frilander
no flags Details

  None (edit)
Description Jani Frilander 2006-07-14 06:33:37 EDT
Description of problem:
kernel-2.6.17-1.2145_FC5 crashes my laptop if a webcam is plugged out from
an USB port. Earlier version 2.6.16-1.2122_FC5 works perfectly.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2145_FC5

How reproducible:
2 times of 3

Steps to Reproduce:
1.Plug in the webcam
2.Plug it out
3.
  
Actual results:
crash

Expected results:
not to crash

Additional info:
Comment 1 Jani Frilander 2006-07-14 06:33:37 EDT
Created attachment 132424 [details]
piece of /var/log/messages when crashed, dmesg of other time and output of lspci
Comment 2 Jani Frilander 2006-07-17 14:59:41 EDT
Created attachment 132569 [details]
/var/log/messages
Comment 3 Jani Frilander 2006-07-17 15:01:00 EDT
Comment on attachment 132569 [details]
/var/log/messages

kernel-2.6.17-1.2157_FC5 crashes too
Comment 4 Dave Jones 2006-10-16 13:37:30 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jani Frilander 2006-10-21 14:53:41 EDT
Created attachment 139066 [details]
/var/log/messages
Comment 6 Jani Frilander 2006-10-21 14:55:58 EDT
Kernel 2.6.18-1.2200.fc5 crashes too when the webcam is taken off.
Comment 7 Dave Jones 2006-10-21 22:56:58 EDT
hmm, it does this even if the camera isn't in use by any application ?
I see one area of suspicious code in the driver, but that should only be
triggered if something was trying to capture from the device at the time.
Comment 8 Jani Frilander 2006-10-26 15:00:46 EDT
boot 2.6.18-1.2200.fc5 -> plug the webcam in -> wait 5 seconds ( not even starting
the webcam app) -> plug out -> hang

So it crashes when not used. 
Comment 9 Jani Frilander 2006-11-19 16:24:34 EST
Created attachment 141597 [details]
dmesg
Comment 10 Jani Frilander 2006-11-19 16:26:08 EST
Updated my desktop hardware to Asus m2npv-mx mobo and Athlon 64 x2 +3800 cpu.
Intalled fc6 x86_64 version and updated to kernel 2.6.18-1.2849.fc6.
Crashing continues. However with this kernel the system stays up for about 50%
of times.
Comment 11 Dan Carpenter 2006-11-21 00:07:54 EST
This was reported to bugzilla.kernel.org as well.  Patch available.  :)

http://bugzilla.kernel.org/show_bug.cgi?id=7548

Comment 12 Jani Frilander 2007-01-29 15:09:33 EST
Kernel 2.6.19-1.2895.fc6 don't crash anymore. Should we close this bug?

Note You need to log in before you can comment on or make changes to this bug.